package com.yfd.platform.modules.experimentalData.domain;

import lombok.Data;

import java.util.List;

@Data
public class DualTreeResponse {

    private List<TreeDTO> localTrees;  // 本地树列表（workPath）
    private List<TreeDTO> minioTrees; // Minio 树列表（backupPath）
    // 添加带参数的构造函数
    public DualTreeResponse(List<TreeDTO> localTrees, List<TreeDTO> minioTrees) {
        this.localTrees = localTrees;
        this.minioTrees = minioTrees;
    }

}
